package cn.estsh.i3plus.core.api.iservice.busi;

import cn.estsh.i3plus.pojo.platform.bean.SessionUser;
import cn.estsh.i3plus.pojo.platform.bean.SysTaskTimeRecording;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description : 定时任务执行记录业务接口 
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 16:58:44.005
 * @Modify      :
 **/
public interface ISysTaskTimeRecordingService {

    /**
     * 修改数据
     * @param taskTimeRecording
     */
    @ApiOperation(value = "更新任务表达式信息")
    void updateSysTaskTimeRecording(SysTaskTimeRecording taskTimeRecording);

    /**
     * 根据Key 删除数据
     * @param id
     */
    @ApiOperation(value = "删除任务表达式信息",notes = "根据 ID 删除任务表达式信息")
    void deleteSysTaskTimeRecordingById(Long id);

    /**
     * 新增数据
     * @param taskTimeRecording
     * @return
     */
    @ApiOperation(value = "新增任务表达式信息")
    SysTaskTimeRecording insertSysTaskTimeRecording(SysTaskTimeRecording taskTimeRecording);

    /**
     * 查询所有数据
     * @return
     */
    @ApiOperation(value = "查询任务表达式信息",notes = "查询所有任务表达式信息")
    List<SysTaskTimeRecording> findSysTaskTimeRecordingAll();

    /**
     * 根据id 数据
     * @param id
     * @return
     */
    @ApiOperation(value = "查询任务表达式信息",notes = "查询 ID 任务表达式信息")
    SysTaskTimeRecording getSysTaskTimeRecordingById(Long id);
}
